<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/
$mod_template="edit.tpl";
//ключик позволяющий загружать файлы на сервер
if (access('edit')) LabCMS::i()->setAllowFileUpload();

$page_info=Db::i()->selectRow("SELECT page_text, page_title, page_description, page_keywords, t.tree_id, path, page_id, use_comments FROM ?_pages p LEFT JOIN ?_tree t ON p.tree_id=t.tree_id WHERE page_id=?", $_GET['var1']);
Tpl::i()->assign($page_info);

if ($_SERVER["REQUEST_METHOD"]=="POST")
{
	User::checkToken();
	$_POST['page_title']=trim($_POST['page_title']);
	$_POST['page_text']=trim($_POST['page_text']);

	if (!$_POST['page_title'])
	{
		LabCMS::i()->error("Не введено название страницы");
	}

	if (!$_POST['page_text'])
	{
		LabCMS::i()->error("Не введен текст страницы");
	}

	if (LabCMS::i()->no_errors)
	{
		$query=array('page_title'=>$_POST['page_title'],
			'page_text'=>$_POST['page_text'],
			'page_description'=>$_POST['page_description'],
			'page_keywords'=>$_POST['page_keywords'],
			'use_comments'=>$_POST['use_comments']?1:0);
		
		
		Db::i()->query("UPDATE ?_pages SET ?a, date_updated=NOW() WHERE page_id=?", $query, $_GET['var1']);
		//удаляем кэшированную версию
		LabCMS::i()->reset_cache('all');
		
		if($page_info['path'] && $_GET['var2']!='list') refresh(false, _url(false, false, false, $page_info['path']));
		else refresh(false, _url(false, 'list'));
	}
}

//вставляем css пока они не вставлены глобально
Tpl::i()->assign('css', LabCMS::i()->getSkinCSS());